Skip to content
Browse files

Merge pull request #92 from danielbayerlein/stable

Susy 1.0
  • Loading branch information...
2 parents 1d80184 + 285becd commit d6efc2a73badc3ea34bbfff5176aa0fbb148378d Eric Meyer committed
View
4 CHANGELOG.mkdn
@@ -1,7 +1,7 @@
Susy Changelog
==============
-v1.0 [UNRELEASED]
+v1.0
-----------------
This release is loaded with new features, but don't let that fool you. Susy
@@ -55,7 +55,7 @@ Other:
* Fix bug in susy-background-grid for fluid sites.
* Fix minor bug with repeated 'display' properties.
* Lower Compass dependency to 0.12.2
-* Add Sass dependency at 3.2.0.alpha.247
+* Add Sass dependency at 3.2.0
### Upgrade:
View
2 LICENSE.txt
@@ -1,4 +1,4 @@
-Copyright (c) 2011, Eric Meyer
+Copyright (c) 2012, Eric Meyer
All rights reserved.
Redistribution and use in source and binary forms, with or without
View
9 README.md
@@ -27,15 +27,6 @@ we just do the math and get out of your way.
- [Sites using Susy](http://susy.oddbird.net/sites-using-susy/)
- [Twitter @CompassSusy](http://twitter.com/compasssusy/)
-## Why is 1.0 a release candidate?
-
-Susy 1.0 is stable and tested, all the features are in,
-and we're ready to launch.
-But our 1.0 depends on unreleased Sass features.
-We think those features are stable as well,
-and we'll do what it takes to stay on top of any changes they make,
-but we can't officially land until they do.
-
## Contributing
We love contributions,
View
2 Rakefile
@@ -10,7 +10,7 @@ begin
p.url = "http://susy.oddbird.net/"
p.author = "Eric Meyer"
p.email = "eric@oddbird.net"
- p.dependencies = ["compass >=0.12.2", "sass >=3.2.0.alpha.247"]
+ p.dependencies = ["compass >=0.12.2", "sass >=3.2.0"]
end
rescue LoadError => boom
View
2 VERSION
@@ -1 +1 @@
-1.0.rc.4
+1.0
View
8 docs/Gemfile
@@ -1,11 +1,11 @@
source "http://rubygems.org"
gem "middleman", "~> 3.0.0"
-gem "sass", "~> 3.2.0.alpha.261"
-gem "compass", "~> 0.13.alpha.0"
-gem "susy", "~> 1.0.rc.4"
+gem "sass", "~> 3.2.0"
+gem "compass", "~> 0.12.2"
+gem "susy", "~> 1.0"
-gem "modular-scale", "~> 0.0.5"
+gem "modular-scale", "~> 1.0.2"
gem "redcarpet"
gem "rack-codehighlighter", :git => "git://github.com/wbzyl/rack-codehighlighter.git"
gem "pygments.rb"
View
25 docs/Gemfile.lock
@@ -13,15 +13,15 @@ GEM
i18n (~> 0.6)
multi_json (~> 1.0)
blankslate (2.1.2.4)
- chunky_png (1.2.5)
+ chunky_png (1.2.6)
coffee-script (2.2.0)
coffee-script-source
execjs
coffee-script-source (1.3.3)
- compass (0.13.alpha.0)
+ compass (0.12.2)
chunky_png (~> 1.2)
fssm (>= 0.2.7)
- sass (~> 3.2.0.alpha.93)
+ sass (~> 3.1)
execjs (1.4.0)
multi_json (~> 1.0)
ffi (1.0.11)
@@ -66,8 +66,9 @@ GEM
middleman-more (= 3.0.0)
sprockets (~> 2.1)
sprockets-sass (~> 0.8.0)
- modular-scale (0.0.5)
+ modular-scale (1.0.2)
compass (>= 0.11.5)
+ sassy-math (>= 1.2)
multi_json (1.3.6)
nokogiri (1.5.5)
padrino-core (0.10.7)
@@ -95,7 +96,9 @@ GEM
rubypython (0.5.3)
blankslate (>= 2.1.2.3)
ffi (~> 1.0.7)
- sass (3.2.0.alpha.277)
+ sass (3.2.0)
+ sassy-math (1.2)
+ compass (~> 0.11)
sinatra (1.3.2)
rack (~> 1.3, >= 1.3.6)
rack-protection (~> 1.2)
@@ -108,9 +111,9 @@ GEM
sprockets-sass (0.8.0)
sprockets (~> 2.0)
tilt (~> 1.1)
- susy (1.0.rc.4)
+ susy (1.0)
compass (>= 0.12.2)
- sass (>= 3.2.0.alpha.247)
+ sass (>= 3.2.0)
syntax (1.0.0)
thor (0.15.4)
tilt (1.3.3)
@@ -124,11 +127,11 @@ PLATFORMS
ruby
DEPENDENCIES
- compass (~> 0.13.alpha.0)
+ compass (~> 0.12.2)
middleman (~> 3.0.0)
- modular-scale (~> 0.0.5)
+ modular-scale (~> 1.0.2)
pygments.rb
rack-codehighlighter!
redcarpet
- sass (~> 3.2.0.alpha.261)
- susy (~> 1.0.rc.4)
+ sass (~> 3.2.0)
+ susy (~> 1.0)
View
12 docs/source/guides/getting-started.html.md
@@ -2,7 +2,7 @@
title: Getting Started
class: guide
side_content: >
- <p class="version">Version <span>1.0.rc.4</span></p>
+ <p class="version">Version <span>1.0</span></p>
<h2><a href="#start-install">Installation</a></h2>
<ul>
<li><a href="#start-compass">Compass</a></li>
@@ -32,7 +32,7 @@ Install from the command line:
:::bash
# command line
- sudo gem install susy --pre
+ sudo gem install susy
Create a new [Compass][compass] project:
@@ -58,8 +58,8 @@ You may also need:
:::ruby
# Gemfile
- gem 'compass', '>= 0.13.alpha.0'
- gem 'compass-rails', '>= 1.0.2'
+ gem 'compass', '>= 0.12.2'
+ gem 'compass-rails', '>= 1.0.3'
And run:
@@ -222,7 +222,7 @@ Proceed at your own risk.
5. Navigate to `Contents/Resources/engines/`.
6. You will see a `compass` folder and an `scss` folder.
7. Copy the contents of the Sass and Compass files from your install into these folders.
- (on my machine: `/Library/Ruby/Gems/1.8/gems/compass-0.12.2` and `/sass-3.2.0.alpha.247`)
+ (on my machine: `/Library/Ruby/Gems/1.8/gems/compass-0.12.2` and `/sass-3.2.0`)
8. Match the contents of these folders
with the contents of the corresponding folders inside CodeKit app and copy them over.
There may be a few extra items in the machine's install.
@@ -282,7 +282,7 @@ Add Susy to your ``Gemfile``
([more info on Gemfiles](http://gembundler.com/gemfile.html)):
:::ruby
- gem "susy", "~> 1.0.rc.4"
+ gem "susy", "~> 1.0"
And finally run your bundle:
View
4 docs/source/guides/reference.html.md
@@ -2,7 +2,7 @@
title: Reference
class: guide
side_content: >
- <p class="version">Version <span>1.0.rc.4</span></p>
+ <p class="version">Version <span>1.0</span></p>
<h2><a href="#ref-basic">Basic Usage</a></h2>
<h3><a href="#ref-basic-settings">Basic Settings</a></h3>
<ul>
@@ -650,4 +650,4 @@ for IE-only stylesheets.
// $breakpoint-raw-output: <boolean>;
$breakpoint-raw-output: false;
-- `<boolean>`: `true` | `false`
+- `<boolean>`: `true` | `false`
View
15 docs/source/index.html.md
@@ -20,10 +20,10 @@
<section class="info">
<div class="v1-0">
<h2>
- <a href="https://rubygems.org/gems/susy">Version 1.0<i>.rc.4</i></a>
+ <a href="https://rubygems.org/gems/susy">Version 1.0</a>
</h2>
<div class="highlight">
- <pre>gem install susy --pre</pre>
+ <pre>gem install susy</pre>
</div>
<ul>
<li><a href="https://github.com/ericam/susy/blob/master/CHANGELOG.mkdn">What's changed</a></li>
@@ -43,17 +43,6 @@
</ul>
</div>
</section>
-<section class="why">
- <h2>Why is 1.0 a release candidate?</h2>
- <p>
- Susy 1.0 is stable, tested, <span class="amp">&</span> feature complete;
- but our launch depends on unreleased Sass features.
- We think those features are stable as well,
- and you should <a href="guides/getting-started/">get started</a>
- with Susy 1.0 RC right now.
- We'll make sure the final upgrade is as painless as possible.
- </p>
-</section>
<figure class="ag-test">
<figcaption>
<p>10-column <a href="http://oocss.org/grids_docs.html">complex nested grid AG test</a></p>
View
2 docs/source/stylesheets/_base/_size.scss
@@ -7,7 +7,7 @@
// Size Settings
$base-size : 16px;
-$ratio : $major-third $fifth;
+$ratio : major-third() fifth();
$norm : 1;
$xxxsmall : ms(-4,$norm);
View
47 docs/source/stylesheets/_modules/_intro.scss
@@ -12,7 +12,7 @@
.intro {
@extend .serif-type;
@include trailer(1,$medpx);
- p {
+ p {
&:first-child { color: $susy-bodycopy-dark-20; }
&:last-child { font-style: italic; }
}
@@ -26,9 +26,9 @@
@include rhythm-borders(1px,1);
border-color: $susy-background-dark-20;
background: $susy-background-dark-10;
- > div {
+ > div {
@include clearfix;
- @include trailer;
+ @include trailer;
}
@include at-breakpoint($break) {
@include span-columns(4 omega);
@@ -36,22 +36,17 @@
h2 {
@extend .caps;
letter-spacing: .1em;
- a {
+ a {
@extend .icon;
@include font-icon-image($icon-pushpin);
font-weight: bold;
&::before { margin-right: $xxxsmallpx; }
}
}
- ul {
+ ul {
list-style: circle;
padding-left: rhythm(1);
}
- i {
- @include opacity(.75);
- color: $susy-bodycopy;
- font-weight: normal;
- }
}
.v1-0 {
@@ -60,38 +55,10 @@
}
}
-.why {
- @extend .serif-type;
- @include h-borders(3px,1,$medpx);
- @include trailer(1,$medpx);
- clear: both;
- border-color: $susy-highlight;
- a {
- #{$link} {
- font-family: $caps-stack;
- text-transform: uppercase;
- }
- }
- @include at-breakpoint($break) {
- @include trailer(2,$medpx);
- @include h-borders(3px,1.5,$medpx);
- @include pad(2,2);
- position: relative;
- @include font-icon($icon-question-sign) {
- @include adjust-font-size-to($xxxlargepx);
- position: absolute;
- left: 0;
- top: rhythm(-.5,$xxxlargepx);
- color: $susy-background-dark-5;
- z-index: -1;
- }
- }
-}
-
.andmore {
@extend .serif-type;
p:last-child { font-style: italic; }
- @include at-breakpoint(50em 10) {
- @include span-columns(5 omega,10);
+ @include at-breakpoint(50em 10) {
+ @include span-columns(5 omega,10);
}
}
View
8 susy.gemspec
@@ -2,7 +2,7 @@
Gem::Specification.new do |s|
s.name = %q{susy}
- s.version = "1.0.rc.4"
+ s.version = "1.0"
s.required_rubygems_version = Gem::Requirement.new(">= 1.2") if s.respond_to? :required_rubygems_version=
s.authors = ["Eric Meyer"]
@@ -24,13 +24,13 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<compass>, [">= 0.12.2"])
- s.add_runtime_dependency(%q<sass>, [">= 3.2.0.alpha.247"])
+ s.add_runtime_dependency(%q<sass>, [">= 3.2.0"])
else
s.add_dependency(%q<compass>, [">= 0.12.2"])
- s.add_dependency(%q<sass>, [">= 3.2.0.alpha.247"])
+ s.add_dependency(%q<sass>, [">= 3.2.0"])
end
else
s.add_dependency(%q<compass>, [">= 0.12.2"])
- s.add_dependency(%q<sass>, [">= 3.2.0.alpha.247"])
+ s.add_dependency(%q<sass>, [">= 3.2.0"])
end
end

0 comments on commit d6efc2a

Please sign in to comment.
Something went wrong with that request. Please try again.